/*
    ParaGUI - crossplatform widgetset
    Copyright (C) 2000,2001  Alexander Pipelka
 
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
 
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
    Alexander Pipelka
    pipelka@teleweb.at
 
    Last Update:      $Author: pipelka $
    Update Date:      $Date: 2001/04/24 16:51:08 $
    Source File:      $Source: /usr/local/CVSROOT/linux/paragui/include/Attic/rendertextrect.h,v $
    CVS/RCS Revision: $Revision: 1.1.2.1 $
    Status:           $State: Exp $
*/

#ifndef RENDERTEXTRECT_H
#define RENDERTEXTRECT_H

#include "paragui.h"

/**
	Render a text block onto a surface inside a given bounding rectangle
	@param	surface			destination surface
	@param	font					pointer to font definition
	@param	text					textblock to render
	@param	fg						text foreground color
	@param	align					text alignment (PG_TA_LEFT | PG_TA_RIGHT | PG_TA_CENTER)
*/
void RenderTextRect(SDL_Surface* surface, TTF_Font* font, const PG_Rect& r, const char* text, SDL_Color fg, int align = PG_TA_LEFT);

#endif // RENDERTEXTRECT_H
